Miri Card

MiriCard is an easy-to-use, safe and secure way of making payments. Unlike traditional payment cards, the MiriCard numbers change after each use. This single-use application, using patented technology, renders it virtually impossible for accounts to be stolen or hacked into, thereby ensuring an incomparable level of identity protection and security.

The MiriCard looks and functions like traditional credit/debit cards and payments can be processed through existing channels. MiriCard is app-based technology and ideally suited for both internet-based e-commerce transactions, as well as the rapidly growing "contactless" point-of-sale transactions.

  • WINDOWS PC

    logo-windows

    Please click on the link below. Requirements: Windows 7 or later, Internet Explorer 9 or later.

  • WINDOWS PHONE

    logo-windows

    Please go to the Windows Phone app store and search “MiriCard” or search “Miri Systems” and select MiriCard. You may also click the link below. Requirements: Windows Phone 8 or higher.

  • iOS

    logo-ios

    Instructions for downloading app:
    Please go to the app store and search “MiriCard” or search “Miri Systems” and select MiriCard. You may also click the link below. Requirements: I-Phone 4 or later, iOS 7.0 or later. Compatible with iPhone, iPad and iPod touch.

  • MAC OS

    logo-ios

    Please go to the Mac app store and search “MiriCard” or search “Miri Systems” and select MiriCard. You may also click the link below. Requirements: OS X 10.9 or later, 64 bit processor.

  • ANDROID

    logo-android

    Instructions for downloading app:
    Please go to the Google Play app store and search “MiriCard” or search “Miri Systems” and select MiriCard. You may also click the link below. Requirements: Android 2.3 or later. Compatible with Android Phone and Android Tablet.

  • BLACKBERRY

    logo-blackberry

    Instructions for downloading app:
    Please go to the BlackBerry World app store and search "MiriID Vault" or search "MiriSystems" and select MiriID Vault. You may also click the link below.
    Requirements: BlackBerry 10.0.0 or higher